package com.dgtly.order.mapper;

import com.dgtly.order.domain.BpmWxNoticeOrg;

import java.util.List;


/**
 * 企微人员发送Mapper接口
 * 
 * @author dgtly
 * @date 2021-08-26
 */
public interface BpmWxNoticeOrgMapper 
{
    /**
     * 查询企微人员发送
     * 
     * @param id 企微人员发送ID
     * @return 企微人员发送
     */
    public BpmWxNoticeOrg selectBpmWxNoticeOrgById(Long id);

    /**
     * 查询企微人员发送列表
     * 
     * @param bpmWxNoticeOrg 企微人员发送
     * @return 企微人员发送集合
     */
    public List<BpmWxNoticeOrg> selectBpmWxNoticeOrgList(BpmWxNoticeOrg bpmWxNoticeOrg);

    /**
     * 新增企微人员发送
     * 
     * @param bpmWxNoticeOrg 企微人员发送
     * @return 结果
     */
    public int insertBpmWxNoticeOrg(BpmWxNoticeOrg bpmWxNoticeOrg);

    /**
     * 修改企微人员发送
     * 
     * @param bpmWxNoticeOrg 企微人员发送
     * @return 结果
     */
    public int updateBpmWxNoticeOrg(BpmWxNoticeOrg bpmWxNoticeOrg);

    /**
     * 删除企微人员发送
     * 
     * @param id 企微人员发送ID
     * @return 结果
     */
    public int deleteBpmWxNoticeOrgById(Long id);

    /**
     * 批量删除企微人员发送
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBpmWxNoticeOrgByIds(String[] ids);

    int deleteBpmWxNoticeOrgAll();

    String selectMetaDiySalesorgtreeOrgCode(String orgName);

    BpmWxNoticeOrg selectBpmWxNoticeOrgByAccount(String account);
}
